%define version 0.2

Summary:	shun blocks all IP communication with shunned hosts.
Name:		shun
Version:	%{version}
Release:	1
Copyright:	GPL
Group:		Applications/Internet
Source:		http://www.stearns.org/shun/shun-%{version}.tar.gz
URL:		http://www.stearns.org/shun/
Vendor:		William Stearns
Packager:	William Stearns <wstearns@pobox.com>
BuildRoot:	/var/tmp/shun-root
Buildarch:	noarch
Prereq:		/bin/awk /bin/cat /bin/grep /bin/mkdir /bin/sed /bin/mv /bin/touch /sbin/ifconfig /usr/bin/wget
#Also requires kernel ipchains or iptables support and the ipchains or iptables binary
#wget truly a prerequisite is user not pulling files down?


%description
	The shun client blocks all communication with the hosts
listed in /etc/shun/shun.conf or other block lists called from that
file.  It instructs a Linux kernel to stop accepting packets from that
host and block all outbound packets destined for it.



%prep
%setup


#%build


%install
if [ "$RPM_BUILD_ROOT" = "/var/tmp/shun-root" ]; then
	rm -rf $RPM_BUILD_ROOT
	mkdir -p $RPM_BUILD_ROOT/etc/shun
	chmod 700 $RPM_BUILD_ROOT/etc/shun
	touch $RPM_BUILD_ROOT/etc/shun/shun.conf
	mkdir -p $RPM_BUILD_ROOT/sbin
	mkdir -p $RPM_BUILD_ROOT/usr/share/doc/shun-%{version}
	make DESTDIR=$RPM_BUILD_ROOT install
else
	echo Invalid Buildroot
	exit 1
fi
	

%clean
if [ "$RPM_BUILD_ROOT" = "/var/tmp/shun-root" ]; then
	rm -rf $RPM_BUILD_ROOT
else
	echo Invalid Buildroot
	exit 1
fi


%files
%doc AUTHORS COPYING CREDITS ChangeLog INSTALL Makefile NEWS README TODO index.html shun.txt
%attr(700,root,root)	%dir		/etc/shun
%attr(600,root,root)	%config		/etc/shun/shun.conf
%attr(755,root,root)			/sbin/shun

#FIXME: shun.conf.example

